package com.zbkj.service.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.zbkj.common.model.bcx.BcxProductQuota;
import com.zbkj.common.request.BcxProductQuotaRequest;
import com.zbkj.common.request.PageParamRequest;
import com.zbkj.common.response.BcxProductQuotaResponse;
import com.zbkj.common.vo.MyRecord;

import java.util.List;

/**
 * 商品限购表 服务接口
 */
public interface BcxProductQuotaService extends IService<BcxProductQuota> {
    
    BcxProductQuotaResponse queryById(Integer id);

    BcxProductQuota queryByProductId(Integer productId);

    PageInfo<BcxProductQuotaResponse> getPagedList(BcxProductQuotaRequest request, PageParamRequest pageParamRequest);

    Boolean create(BcxProductQuotaRequest bcxProductQuota);

    Boolean update(BcxProductQuotaRequest bcxProductQuota);

    Boolean delete(Integer id);
}
